# List webhook subscriptions

Retrieves a paginated list of webhook subscriptions.

Endpoint: GET /v1/webhook-subscriptions
Version: 1.1.0
Security: Bearer

## Query parameters:

  - `uuids[eq]` (array)

  - `statuses[eq]` (array)
    Enum: "active", "inactive", "suspended"

  - `status[order]` (string)

  - `targetUrl[contains]` (string)

  - `targetUrl[starts]` (string)

  - `targetUrl[ends]` (string)

  - `targetUrl[order]` (string)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `updatedAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this webhook subscription.

  - `items.createdAt` (string, required)
    Timestamp when this webhook subscription was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.updatedAt` (string, required)
    Timestamp when this webhook subscription was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.status` (string, required)
    Status of a webhook subscription.
    Enum: "active", "inactive", "suspended"

  - `items.displayName` (string, required)
    A human-readable name for this webhook subscription.

  - `items.targetUrl` (string, required)
    The URL that will receive webhook HTTP callbacks.

  - `items.requestTimeoutMs` (integer, required)
    Timeout in milliseconds for webhook delivery HTTP requests.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


